ZIP_ADD(3)

NAME
zip_add, zip_replace - add file to zip archive or replace file in zip archive (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_int64_t
zip_add(zip_t *archive, const char *name, zip_source_t *source);
int
zip_replace(zip_t *archive, zip_uint64_t index, zip_source_t *source);

DESCRIPTION
The function zip_add() is the obsolete version of zip_file_add(3). It is the same as calling zip_file_add(3) with an empty flags argument. Similarly, the zip_replace() function is the obsolete version of zip_file_replace(3). It is the same as calling zip_file_replace(3) with an empty flags argument.

SEE ALSO
libzip(3), zip_file_add(3), zip_file_replace(3)

HISTORY
zip_add() was added in libzip 0.6. In libzip 0.10 the return type was changed from int to zip_int64_t. It was deprecated in libzip 0.11, use zip_file_add() instead.

zip_replace() was added in libzip 0.6. In libzip 0.10 the type of index was changed from int to zip_uint64_t. It was deprecated in libzip 0.11, use zip_file_replace() instead.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>